Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 25 Apr 2019 09:10:13 -0700

On 04/25/19 08:48 AM, Katsumi Yamaoka wrote:
> On Wed, 24 Apr 2019 10:04:13 -0700, Eric Abrahamsen wrote:
>> On 04/24/19 17:06 PM, Katsumi Yamaoka wrote:
>>> The root cause is this:
>>> (defvar nnmail-file-coding-system 'undecided
>>>   "Coding system used in nnmail.")
>>> The default value used to be `raw-text'.
>
>> Oh, that was a misunderstanding on my part, then -- I certainly didn't
>> mean to change anything about article encoding or display, or anything
>> related to MIME. I'll switch that default back again.
>
> Thanks.
>
> I found one more issue, it is harmless though.  An active file
> locally saved now has a coding cookie, so `(not (eobp))' at the
> line 2150 in gnus-start.el is not enough to check if there is no
> more active.  Because of this, when starting Gnus I got
>
> Warning: Warning - invalid active:
>
> for the nnnil method, that is my `gnus-select-method'.  Here are
> the contents of ~/News/agent/nnnil/agent.lib/active:
>
> --8<---------------cut here---------------start------------->8---
> ;; -*- encoding: utf-8-emacs; -*-
>
> --8<---------------cut here---------------end--------------->8---
>
> Why the warning is issued is to run (read (current-buffer)) at
> the beginning of the contents.  This is actually an error but
> `condition-case' conceals it.  A patch:
>
> --- gnus-start.el~	2019-04-23 05:13:52.741025900 +0000
> +++ gnus-start.el	2019-04-24 23:45:37.989239900 +0000
> @@ -2149,2 +2149,3 @@
>        (goto-char (point-min))
> +      (re-search-forward "\\(?:^[\n ]*;.*[\n ]*\\)+" nil t)
>        (while (not (eobp))

Hmm, this is all done in a temp buffer, with
`insert-buffer-substring' -- I wonder if the encoding cookie will even
be honored in this case? I need to do a bit more testing here. Thanks
for flagging this up.

Eric